CREATE OR REPLACE PACKAGE PORTAL_WF_REQ_AP_NOTIFICATION AUTHID CURRENT_USER AS
/* $Header: PORREQAPWFS.pls 115.1 2000/3/28 08:00:00 pkm ship        $ */
/***********************************************************************/
/* JPeters, JRPJR, Inc.                                                */
/* john.peters@jrpjr.com                                               */
/***********************************************************************/
/* Revision History                                                    */
/* 04/25/02  JPeters   Initial Creation                                */
/* 05/13/02  JPeters   - Added logic to not print headers when         */
/*                       no attachments exist                          */
/* 05/13/02  JPeters   - Added a Supplier Block to the Nofification    */
/* 05/17/02  JPeters   - Put in distinct for supplier listing          */
/*                                                                     */
/*                                                                     */
/***********************************************************************/



-- -------------------------------------------------------------------------
--  This procedure initializes an Attribute so that when a requisition is
--  emailled it will call a procedure to build the requisition distribution
--  table in the email body.
-- --------------------------------------------------------------------------
procedure Set_Startup_Values(itemtype        in varchar2,
                             itemkey         in varchar2,
                             actid           in number,
                             funcmode        in varchar2,
                             resultout       out varchar2);

                             
-- -------------------------------------------------------------------------
-- This function returns a Long Text attachment truncated down to a varchar2(4000) 
-- -------------------------------------------------------------------------
FUNCTION get_long_text_attachment(p_media_id in number) return varchar2;


-- -------------------------------------------------------------------------
-- This function returns a File attachments filename  
-- -------------------------------------------------------------------------
FUNCTION get_file_attachment(p_media_id in number) return varchar2;


-- -------------------------------------------------------------------------
-- This function returns a site level profile option   
-- -------------------------------------------------------------------------
FUNCTION get_site_profile_option(p_profile_option in varchar2) return varchar2;


-- -------------------------------------------------------------------------
--  This procedure builds an HTML table containing a requisitions supplier
--  info for display in the Workflow Notification Message.
--
-- --------------------------------------------------------------------------
PROCEDURE get_req_supplier_details(document_id      in  varchar2,
                                   display_type     in  varchar2,
                                   document             in out  varchar2,
                                   document_type        in out  varchar2);


-- -------------------------------------------------------------------------
--  This procedure builds an HTML table containing a requisitions distribution
--  lines for display in the Workflow Notification Message.
--
-- --------------------------------------------------------------------------
PROCEDURE get_req_distr_details(document_id         in  varchar2,
                                display_type    in      varchar2,
                                document            in out      varchar2,
                                document_type   in out  varchar2);


-- -------------------------------------------------------------------------
--  This procedure builds an HTML table containing a requisitions attachments
--  information for display in the Workflow Notification Message.
--
-- --------------------------------------------------------------------------
PROCEDURE get_req_attachments(document_id           in  varchar2,
                              display_type      in      varchar2,
                              document      in out      varchar2,
                              document_type     in out  varchar2);


END PORTAL_WF_REQ_AP_NOTIFICATION;
/
